Bug 837248 - pkg-config --libs libraw output has unnecessary flags
pkg-config --libs libraw output has unnecessary flags
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: LibRaw (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 06:08 EDT by Siddhesh Poyarekar
Modified: 2015-09-13 20:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-20 15:54:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Siddhesh Poyarekar 2012-07-03 06:08:39 EDT
$ pkg-config --libs libraw
-fopenmp -lraw -lstdc++ -llcms  

This should only be -lraw.
Comment 1 Fedora Admin XMLRPC Client 2012-11-09 07:11:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Gwyn Ciesla 2012-11-09 08:53:39 EST
What negative effects come from the extra flags?
Comment 3 Fedora End Of Life 2013-04-03 15:54:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Rex Dieter 2013-10-21 13:23:52 EDT
negative effects are overlinking, and dependant software/packages can end up with extraneous dependencies.

that said, I'm not sure -fopenmp is safe or not to omit, but these
-lstdc++ -llcms
should be moved to a Libs.private: section in the .pc file (to specify there are only needed for static linking purposes)

Note You need to log in before you can comment on or make changes to this bug.